DEBDIFF-APPLY(1)

BEZEICHNUNG
debdiff-apply - wendet ein Debdiff auf eine Debian-Quellpaket an.

ÜBERSICHT
debdiff-apply [Optionen] [orig_dsc_oder_Verz] [Patch-Datei]
debdiff [Optionen] < [Patch-Datei]

BESCHREIBUNG
debdiff-apply akzeptiert eine Patch-Datei, die die Unterschiede zwischen zwei Debian-Quellpaketen, alt und neu, beschreibt und wendet sie auf ein Ziel-Debian-Quellpaket Orig an.

Orig kann entweder dasselbe wie alt sein oder sich davon unterscheiden. Von der Patch-Datei wird erwartet, dass sie ein vereinheitlichtes Diff zwischen zwei Debian-Quellverzeichnissen ist, was debdiff(1) normalerweise erzeugt.

Alle Änderungen am Changelog werden gesondert behandelt, um Konflikte zu vermeiden, die Changelog-Diffs normalerweise produzieren, wenn sie naiverweise angewendet werden. Das genaue Verhalten wird möglicherweise in der Zukunft optimiert, daher ist kein Verlass darauf.

Falls die Patch-Datei nicht auf Orig anwendbar ist, sogar nach der Sonderbehandlung von debian/changelog, werden keine Änderungen vorgenommen und debdiff-apply(1) wird mit einem von Null verschiedenen Fehlercode beendet.

ARGUMENTE

orig_dsc_oder_Verz
    Ziel, auf das der Patch angewendet wird. Dies kann entweder ein entpackter Quellverzeichnisbaum oder eine .dsc-Datei sein. Im ersteren Fall wird das vorhandene Verzeichnis geändert, in letzterem Fall wird ein zweites .dsc erstellt. Voreinstellung: .

Patch-Datei
    Patch-Datei im durch debdiff(1) ausgegebenen Format, die angewendet werden soll. Voreinstellung: /dev/stdin

OPTIONEN

-h, --help
    zeigt diese Hilfenachricht und wird beendet.

-v, --verbose
    gibt weitere Informationen aus.

-c CHANGELOG, --changelog CHANGELOG
    Pfad zu debian/changelog; Voreinstellung: debian/changelog

-D DISTRIBUTION, --distribution DISTRIBUTION
    Distribution, die benutzt werden soll, falls das Patch noch kein Changelog enthält; Voreinstellung: experimental

--repl
    führt das Python-REPL nach der Verarbeitung aus.

--source-version
    wendet den Patch nicht an; stattdessen wird die Version des Pakets ausgegeben auf das er angewendet werden soll oder nichts, falls der Patch keine Quellversion angibt.

--target-version
    wendet den Patch nicht an; stattdessen wird die neue Version des Pakets ausgegeben, das debdiff-apply(1) erstellen würde, wenn dieser Patch auf das angegebenene Zielpaket angewendet wird, wie es durch andere Argumente angegeben wird.

  Für .dsc-Patch-Ziele:

--no-clean
    räumt temporäre Verzeichnisse nach einem Misserfolg nicht auf, so dass Sie untersuchen können, was fehlschlug.

--quilt-refresh
    Falls das Bauen des neuen Quellpakets fehlschlägt, wird versucht, die Patche mittels quilt(1) zu aktualisieren, dann wird versucht, es erneut zu bauen.

-d VERZEICHNIS, --directory VERZEICHNIS
    extrahiert das .dsc in dieses Verzeichnis, das nicht nach dem Beenden von debdiff-apply(1) aufgeräumt wird. Falls es nicht angegeben wurde, wird es in ein temporäres Verzeichnis extrahiert.

AUTOREN
debdiff-apply und diese Handbuchseite wurden von Ximin Luo <infinity0@debian.org> geschrieben.

Beide wurden unter der GNU General Public License, Version 3 oder später, veröffentlicht.

SIEHE AUCH
debdiff(1)

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.